/* TYPOGRAPHY
---------------------------------------------------------------------------------*/

body {
    color: var(--primary-text-color);
    font-family: 'Roboto', Arial, sans-serif !important;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
}

/* default headings */
h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--primary-heading-color);
    margin: 0;
    padding: 0;
}

h1 {
    font-size: 42px;
    color: var(--tertiary-branding-color);
}

h2 {
    font-size: 36px;
}

h3 {
    font-size: 34px;
}

h4 {
    font-size: 28px;
}

h5 {
    font-size: 22px;
}

h6 {
    font-size: 16px;
}

/* GENERAL INPUT
---------------------------------------------------------------------------------*/
input[type='text'],
input[type='date'],
input[type='password'],
input[type='number'],
input[type='email'],
input[type='file'],
input[type='tel'],
textarea,
select {
    padding: 5px;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type='text']:focus,
input[type='password']:focus,
input[type='radio']:focus,
input[type='checkbox']:focus,
input[type='search']:focus,
input[type='number']:focus,
input[type='email']:focus,
select:focus,
textarea:focus {
    border-color: rgb(104, 145, 162);
    outline: 0;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.025), 0 0 5px rgb(104, 145, 162);
}

input[type='number'] {
    min-width: 100px;
}

input,
select,
textarea {
    margin-right: 5px;
    margin-left: 5px;
}

textarea {
    min-height: 30px;
}

/* separate styling for search bar customization */
input[type='search'] {
    padding: 5px;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

::placeholder {
    color: #aaa;
    opacity: 1;
}
/* 
.rb-selected {
    color: #000;
}

.rb-not-selected {
    color: #ccc;
} */

.any-checked input + label {
    color: #ccc;
}

.any-checked input:checked + label {
    color: #000;
}

/* TABLES
---------------------------------------------------------------------------------*/
.table {
    width: 100%;
    background-color: transparent;
}

.table tr {
    vertical-align: top;
    text-align: left;
    border-bottom: 1px solid #ccc;
}

.table th,
.table td {
    padding: 5px 10px;
}

.table thead {
    vertical-align: bottom;
    border-bottom: 2px solid #aaa;
}

.table tbody tr:nth-of-type(odd) {
    background-color: rgba(0, 0, 0, 0.05);
}

.table tbody tr:hover {
    background-color: rgba(0, 0, 0, 0.075);
}

/* ELEMENTS
---------------------------------------------------------------------------------*/
ul {
    list-style-type: disc;
}

ul > li > ul {
    list-style-type: circle;
}

ul > li > ul > li > ul {
    list-style-type: square;
}
ol {
    list-style-type: decimal;
}

ol > li > ol {
    list-style-type: lower-alpha;
}

ol > li > ol > li > ol {
    list-style-type: lower-roman;
}

hr {
    background-color: #ccc;
    border: 0;
    height: 1px;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

img {
    height: auto;
    max-width: 100%;
}

/* LINKS
---------------------------------------------------------------------------------*/
a {
    color: var(--primary-link-color);
}

a:visited {
    color: var(--primary-visited-link-color);
}

a:hover,
a:focus,
a:active {
    color: var(--primary-visited-link-color);
}

a:focus {
    outline: thin dotted;
}

a:hover,
a:active {
    outline: 0;
}

/*
Status indicators
--------------------------------------------------------------------------------*/
/* status */
.NotStarted-text {
    color: #979da2;
    vertical-align: top;
}

.Complete-text {
    color: #04be77;
    vertical-align: top;
}

.InProgress-text {
    color: #3d70d4;
    vertical-align: top;
}

.NotStarted-indicator {
    background-color: #b3b3b3;
}

.Complete-indicator {
    background-color: #75bb75;
}

.InProgress-indicator {
    background-color: #6a8ed4;
}

.form-status-3 .left-form-status-indicator {
    background-color: #75bb75;
}

.form-status-2 .left-form-status-indicator {
    background-color: #6a8ed4;
}

.form-status-1 .left-form-status-indicator {
    background-color: #b3b3b3;
}
